const db = require('../database');

module.exports = {
    async ban(ctx) {
        if (!await db.isAdmin(ctx.from.id)) return;
        
        const userId = ctx.message.reply_to_message?.from.id;
        if (!userId) return ctx.reply('الرجاء الرد على رسالة المستخدم');
        
        await db.query('UPDATE users SET is_banned = 1 WHERE user_id = ?', [userId]);
        ctx.reply('تم حظر المستخدم بنجاح');
    },
    
    async unban(ctx) {
        if (!await db.isAdmin(ctx.from.id)) return;
        
        const userId = ctx.message.reply_to_message?.from.id;
        if (!userId) return ctx.reply('الرجاء الرد على رسالة المستخدم');
        
        await db.query('UPDATE users SET is_banned = 0 WHERE user_id = ?', [userId]);
        ctx.reply('تم إلغاء حظر المستخدم بنجاح');
    }
};
