const db = require('../database');

module.exports = {
    async start(ctx) {
        const userId = ctx.from.id;
        const username = ctx.from.username;
        
        await db.addUser(userId, username);
        
        ctx.reply('مرحباً بك في البوت! 👋', {
            reply_markup: {
                inline_keyboard: [
                    [{ text: 'المساعدة ❓', callback_data: 'help' }]
                ]
            }
        });
    },
    
    async help(ctx) {
        ctx.reply('قائمة الأوامر المتاحة:\n/start - بدء البوت\n/help - المساعدة');
    }
};
